FWIDTH(3G)

NAME
fwidth - return the sum of the absolute value of derivatives in x and y

DECLARATION

genType fwidth(genType p);

genType fwidthCoarse(genType p);

genType fwidthFine(genType p);

PARAMETERS

p
    Specifies the expression of which to take the partial derivative.

DESCRIPTION

Available only in the fragment shader, these functions return the sum of the absolute derivatives in $x$ and $y$ using local differencing for the input argument p. fwidth is equivalent to abs(dFdx(p)) + abs(dFdy(p)). fwidthCoarse is equivalent to abs(dFdxCoarse(p)) + abs(dFdyCoarse(p)). fwidthFine is equivalent to abs(dFdxFine(p)) + abs(dFdyFine(p)).

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
fwidth | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
fwidthCoarse, fwidthFine | - | - | - | - | - | - | - | - | - | - | - | ✔

SEE ALSO

dFdx()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. https://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group